%define oname ruby-gd

Name:       ruby-gd
Version:    0.8.0
Release:    %mkrel 7
Summary:    An interface to Boutell GD library
Group:      Development/Ruby
License:    Ruby License
URL:        http://rubyforge.org/projects/ruby-gd/
Source:     http://rubygems.org/downloads/%{oname}-%{version}.gem
# Sadly we build from the gem (not the real sources) and this one is invalid
Source1:    metadata.gz
# Patches from https://github.com/Spakman/ruby-gd adding support for ruby 1.9
Patch1:     0001-Made-the-extension-compile-and-run-under-Ruby-1.9.1.patch
Patch2:     0002-Added-back-in-Ruby-1.8-support.-Tested-under-1.8.6-a.patch
Patch3:     0003-Fixed-a-memory-leak-when-creating-a-GD-image-from-a-.patch
Patch4:     0004-Ruby-1.9.2-compatibility-STR2CSTR-becomes-StringValu.patch
# Fix for arches where VALUE != int
Patch7:     0007-Add-type-for-img_set_interlace-parameters.patch
BuildRequires:  rubygems
BuildRequires:  gd-devel
BuildRequires:  ruby-devel
BuildRequires:  freetype2-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel

%description
Ruby/GD (formerly known as "GD") is an extension
library to use Thomas Boutell's gd library
(http://www.boutell.com/gd/) from Ruby.

%files
%doc doc/manual.rd doc/manual.html doc/manual_index.html sample
%dir %{ruby_gemdir}/gems/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/readme.en
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/GD.so
#-------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
tar xmf data.tar.gz
%apply_patches
cp -a %{SOURCE1} .

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.0-7.mga3
+ Revision: 395968
- Rebuild for CVE-2013-0256

* Tue Jan 22 2013 pterjan <pterjan> 0.8.0-6.mga3
+ Revision: 391159
- Add some patches to build with ruby 1.9 + few other fixes

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - add path patch
    - revert to 0.8.0
    - new version 1.1.1

* Wed Feb 09 2011 shikamaru <shikamaru> 0.8.0-3.mga1
+ Revision: 49300
- imported package ruby-gd

